GET /api/operator/clients

A client by the email they signed up with: the id, the currency and the country, for crediting their pot. Nothing of their orders.

Surface: operator. Who may call: operator. Key: operator.clients.find.

Example request

curl -X GET https://caremcp.com/api/operator/clients?email=anna%40example.com \
  -H "Authorization: Bearer <operator token>"

Example input

{
  "email": "anna@example.com"
}

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "email": {
   "type": "string",
   "maxLength": 200,
   "format": "email",
   "pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
  }
 },
 "required": [
  "email"
 ]
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "id": {
   "type": "string"
  },
  "currency": {
   "type": "string"
  },
  "country": {
   "type": "string"
  },
  "createdAt": {
   "type": "string"
  }
 },
 "required": [
  "id",
  "currency",
  "country",
  "createdAt"
 ],
 "additionalProperties": false
}